> ## Documentation Index
> Fetch the complete documentation index at: https://www.halite-app.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Activity Route



## OpenAPI

````yaml /api/openapi.json get /api/activity
openapi: 3.1.0
info:
  title: Halite
  version: 0.1.0
servers: []
security: []
paths:
  /api/activity:
    get:
      tags:
        - activity
      summary: List Activity Route
      operationId: list_activity_route_api_activity_get
      parameters:
        - name: category
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Category
        - name: categories
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Categories
        - name: minion_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Minion Id
        - name: event_type
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Event Type
        - name: search
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search
        - name: hide_routine
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Hide Routine
        - name: hide_dispatch
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Hide Dispatch
        - name: since_minutes
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                maximum: 10080
                minimum: 1
              - type: 'null'
            title: Since Minutes
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 500
            minimum: 1
            default: 100
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            title: Offset
            default: 0
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActivityListOut'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ActivityListOut:
      properties:
        total:
          type: integer
          title: Total
        events:
          items:
            $ref: '#/components/schemas/ActivityEventOut'
          type: array
          title: Events
      type: object
      required:
        - total
        - events
      title: ActivityListOut
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ActivityEventOut:
      properties:
        id:
          type: integer
          title: Id
        ts:
          type: string
          format: date-time
          title: Ts
        category:
          type: string
          title: Category
        event_type:
          type: string
          title: Event Type
        minion_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Minion Id
        jid:
          anyOf:
            - type: string
            - type: 'null'
          title: Jid
        fun:
          anyOf:
            - type: string
            - type: 'null'
          title: Fun
        success:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Success
        changed:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Changed
        initiator:
          anyOf:
            - type: string
            - type: 'null'
          title: Initiator
        target:
          anyOf:
            - type: string
            - type: 'null'
          title: Target
        duration_ms:
          anyOf:
            - type: integer
            - type: 'null'
          title: Duration Ms
        summary:
          type: string
          title: Summary
      type: object
      required:
        - id
        - ts
        - category
        - event_type
        - minion_id
        - jid
        - fun
        - success
        - changed
        - initiator
        - target
        - duration_ms
        - summary
      title: ActivityEventOut
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````